Task # 52965 (Closed): Remove deprecated functions, classes and files

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: File Abstraction Layer (FAL)
Created: 2014-03-11 Assigned To: Benjamin Mack
Updated: 2014-04-12 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove deprecated filemount functions in BE_USER
Description

With the introduction of the file abstraction layer,
the filemount functionality was deprecated in 6.0
but wasn't removed.

However, still rtehtmlarea and EXT:recordlist uses
addFileMount() as the functionality of read-only
filemounts wasn't re-implemented with FAL
properly before.

Associated revisions
Revision c027ce8c - 2014-04-12 14:41 - Benjamin Mack

[CLEANUP] Remove deprecated filemount functions in BE_USER

With the introduction of the file abstraction layer,
the filemount functionality was deprecated in 6.0
but wasn't removed.

However, the usage of addFileMount() in  rtehtmlarea and
EXT:recordlist is now removed, since the added filemounts
are never read anywhere, so this is only dead code.

The functionality needs to be re-implemented.

Releases: 6.2
Resolves: #56772
Change-Id: I20ec66f46f15a785f5014cb625dabef711fae0a1
Reviewed-on: https://review.typo3.org/28265
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Oliver Klee
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-03-11 17:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28265

#2 - 2014-03-15 13:42 - Markus Klein
- Parent task set to #52965

#3 - 2014-04-12 01:19 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28265

#4 - 2014-04-12 14:37 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28265

#5 - 2014-04-12 15:31 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c027ce8cd8dea84bdb7c43c704da9802358bb12a.
